#!/bin/sh
# 
# jd.xslt script
# JPackage Project <http://www.jpackage.org/>

. /usr/share/java-utils/java-functions

# Configuration
MAIN_CLASS=jd.xml.xslt.Stylesheet
BASE_JARS="jd.xslt xml-commons-apis jaxp_parser_impl xpp3 bsf"
# Optional jars
CLASSPATH="$CLASSPATH:"$(build-classpath xml-commons-resolver 2>/dev/null) || :

# If we have resolver, add the CatalogManager.properties dir to CLASSPATH,
# and tweak command line options so that it's used.  But do this only if
# there are some user arguments to get the usage message displayed.
args=
if test -n "$*" && \
  echo "$CLASSPATH" | grep xml-commons-resolver >/dev/null 2>&1 ; then
  CLASSPATH="$CLASSPATH:/etc/java/resolver"
  r=org.apache.xml.resolver.tools.ResolvingXMLReader
  if ! echo $@ | grep "\\-parser" >/dev/null 2>&1 ; then
    # Note: this catches all of -parser, -parserxml, -parserxsl
    args="$args -parser $r"
  fi
  r=org.apache.xml.resolver.tools.CatalogResolver
  for opt in -uriresolver -entityresolver ; do
    if ! echo $@ | grep "\\$opt " >/dev/null 2>&1 ; then
      args="$args $opt $r"
    fi
  done
fi

# Set parameters
set_jvm
set_classpath $BASE_JARS
set_flags $BASE_FLAGS
set_options $BASE_OPTIONS

# Let's start
run $args "$@"
